libpar-packer-perl_1.022-1+b2_i386.deb


Advertisement

Description

libpar-packer-perl - utility for creating PAR archives and stand-alone executables

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libpar-packer-perl
Package version: 1.022
Package release: 1+b2
Package architecture: i386
Package type: deb
Installed size: 5.08 KB
Download size: 1.83 MB
Official Mirror: ftp.br.debian.org
PAR (Perl Archiving Toolkit) is a Cross-Platform Packaging and Deployment tool, dubbed as a cross between Java's JAR and Perl2EXE/PerlApp. This package contains the PAR component PAR::Packer, i.e. the modules and tools necessary for creating PAR archives and stand-alone executables.

Alternatives

    Download

    Source package: libpar-packer-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpar-packer-perl deb package:
      # sudo apt-get install libpar-packer-perl

    Files

    • /usr/bin/par-archive
    • /usr/bin/parl
    • /usr/bin/parldyn
    • /usr/bin/pp
    • /usr/lib/i386-linux-gnu/perl5/5.20/PAR/StrippedPARL/Dynamic.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/PAR/StrippedPARL/Static.pm
    • /usr/share/doc/libpar-packer-perl/NEWS.Debian.gz
    • /usr/share/doc/libpar-packer-perl/README
    • /usr/share/doc/libpar-packer-perl/TODO
    • /usr/share/doc/libpar-packer-perl/changelog.Debian.gz
    • /usr/share/doc/libpar-packer-perl/changelog.Debian.i386.gz
    • /usr/share/doc/libpar-packer-perl/changelog.gz
    • /usr/share/doc/libpar-packer-perl/copyright
    • /usr/share/doc/libpar-packer-perl/where_is_it.txt.gz
    • /usr/share/doc/libpar-packer-perl/who_am_i.txt.gz
    • /usr/share/doc/libpar-packer-perl/examples/tkpp.gz
    • /usr/share/lintian/overrides/libpar-packer-perl
    • /usr/share/man/man1/par-archive.1p.gz
    • /usr/share/man/man1/parl.1p.gz
    • /usr/share/man/man1/parldyn.1p.gz
    • /usr/share/man/man1/pp.1p.gz
    • /usr/share/man/man3/App::Packer::PAR.3pm.gz
    • /usr/share/man/man3/Dynamic.3pm.gz
    • /usr/share/man/man3/PAR::Filter.3pm.gz
    • /usr/share/man/man3/PAR::Filter::Bleach.3pm.gz
    • /usr/share/man/man3/PAR::Filter::Bytecode.3pm.gz
    • /usr/share/man/man3/PAR::Filter::Obfuscate.3pm.gz
    • /usr/share/man/man3/PAR::Filter::PatchContent.3pm.gz
    • /usr/share/man/man3/PAR::Filter::PodStrip.3pm.gz
    • /usr/share/man/man3/PAR::Packer.3pm.gz
    • /usr/share/man/man3/PAR::StrippedPARL::Base.3pm.gz
    • /usr/share/man/man3/Static.3pm.gz
    • /usr/share/man/man3/pp.3pm.gz
    • /usr/share/perl5/pp.pm
    • /usr/share/perl5/App/Packer/PAR.pm
    • /usr/share/perl5/PAR/Filter.pm
    • /usr/share/perl5/PAR/Packer.pm
    • /usr/share/perl5/PAR/Filter/Bleach.pm
    • /usr/share/perl5/PAR/Filter/Bytecode.pm
    • /usr/share/perl5/PAR/Filter/Obfuscate.pm
    • /usr/share/perl5/PAR/Filter/PatchContent.pm
    • /usr/share/perl5/PAR/Filter/PodStrip.pm
    • /usr/share/perl5/PAR/StrippedPARL/Base.pm

    Changelog

    2014-10-08 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.022-1) unstable; urgency=medium * New upstream release. * Refresh 01_manpage-ext.patch (offset). * Update Build-Depends and Suggests. * Declare compliance with Debian Policy 3.9.6.

    2014-09-16 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.021-1) unstable; urgency=medium [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ gregor herrmann ] * New upstream release. * perlapi-* dependency: drop manual generation from debian/rules. Build-depend on debhelper >= 9.20140809 instead. * Refresh patches (offset). * Update (build) dependencies. * debian/copyright: fix paths and a license shortname. * lintian overrides: use wildcard to match new multi-arch perl paths. * Mention main module name in long description.

    2014-07-08 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.019-1) unstable; urgency=medium * New upstream release.

    2014-06-05 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.018-3) unstable; urgency=medium * Add perlapi-* to Depends (cf. #750017).

    2014-06-02 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.018-2) unstable; urgency=medium * Use $Config{vendorarch} in debian/rules as a preparation for the multi-arched perl 5.20.

    2014-05-23 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.018-1) unstable; urgency=medium * New upstream release. * Update copyright years for script/tkpp.

    2014-05-18 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.017-2) unstable; urgency=medium * Strip trailing slash from metacpan URLs. * Slightly loosen the dependency on the current perl version to allow for release candidates (of the form 5.20.0~rc1). * Update years of packaging copyright.

    2013-12-07 - Salvatore Bonaccorso <carnil@debian.org> libpar-packer-perl (1.017-1) unstable; urgency=low * Team upload. * Imported Upstream version 1.017 * Bump Standards-Version to 3.9.5

    2013-10-18 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.015-1) unstable; urgency=low * New upstream release. * Don't run pod tests during package builds, they are meant for authors. * Remove unversioned 'perl' from Depends. * Refresh patch fix-with-new-par-name (offset).

    2013-05-19 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.014-1) unstable; urgency=low [ gregor herrmann ] * New upstream release 1.013. * Unify "sameperl" substvar generation across packages. * Update copyright for third-party file. * debian/copyright: update to Copyright-Format 1.0. * Update years of packaging copyright. * Refresh 01_manpage-ext.patch (offset). * Build depend on debhelper 9.20120312 to get all hardening flags. * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * New upstream release 1.014. Fixes "FTBFS with perl 5.18: [manifypods] Error 255" (Closes: #708834) Fixes "FTBFS with perl 5.18: t/90-rt59710.t" (Closes: #708836) * Update some copyright years. * Bump versioned (build) dependency on libmodule-scandeps-perl to 1.09. * Set Standards-Version to 3.9.4 (no changes). * The tkpp script now needs some not-packaged TK::* modules. Install it as an example, drop the Recommends on libtk-perl, add a debian/NEWS entry.

    Advertisement
    Advertisement